List feature credits entries of a feature for an account
curl --request GET \
--url https://api.togai.com/accounts/{account_id}/features/{feature_id}/entries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.togai.com/accounts/{account_id}/features/{feature_id}/entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.togai.com/accounts/{account_id}/features/{feature_id}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "purchase.20rvWRxQcQK.0ZwPG",
"source": "ENTITLEMENT",
"status": "ACTIVE",
"granted": 10,
"balance": 5,
"used": 5,
"effectiveFrom": "2020-01-01T00:00:00Z",
"effectiveUntil": "2021-03-04T14:25:10Z"
},
{
"id": "purchase.20rvWRxQcQK.0ZwPG",
"source": "ENTITLEMENT",
"status": "ACTIVE",
"granted": 10,
"balance": 5,
"used": 5,
"effectiveFrom": "2020-01-01T00:00:00Z",
"effectiveUntil": "2021-03-04T14:25:10Z"
}
],
"nextToken": "eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEwMCwgInNvcnRPcmRlciI6ICJhc2MifQ=="
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<Reason message>"
}Entitlements
List feature credits entries of a feature for an account
This API let’s you to list the feature credits entries of a feature for an account
GET
/
accounts
/
{account_id}
/
features
/
{feature_id}
/
entries
List feature credits entries of a feature for an account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
account_id corresponding to an account
Maximum string length:
50Example:
"ACC00001"
feature_id corresponding to a feature
Maximum string length:
50Example:
"feat.fdjskl.sdkjl"
Query Parameters
Maximum page size expected by client to return the record list.
NOTE: Max page size cannot be more than 50. Also 50 is the default page size if no value is provided.
Example:
10
Pagination token used as a marker to get records from next page.
Example:
"eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEyMywgInNvcnRPcmRlciI6ICJhc2MifQ=="
